﻿using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.ComponentModel;


namespace GroupCaptionDemo
{
    public class ViewModel : INotifyPropertyChanged
    {
        StudentInfoRepository order;
        public ViewModel()
        {
            SetRowstoGenerate (100);
        }

        #region ItemsSource

		private List<StudentInfo> studentsInfo;

		public List<StudentInfo> StudentsInfo {
			get { return studentsInfo; }
			set { this.studentsInfo = value; }
		}

		#endregion

		#region ItemSource Generator

		public void SetRowstoGenerate (int count)
		{
			order = new StudentInfoRepository ();
			studentsInfo = order.GetOrderDetails (count);
		}
    
		#endregion

        #region INotifyPropertyChanged implementation

		public event PropertyChangedEventHandler PropertyChanged;

		public void RaisePropertyChanged (string propertyName)
		{
			if (PropertyChanged != null)
				this.PropertyChanged (this, new PropertyChangedEventArgs (propertyName));
		}

		#endregion
    }
}
